Bug 51834 - Changing the default shell for new users has no effect
Changing the default shell for new users has no effect
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-15 13:19 EDT by Joachim Frieben
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 15:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2001-08-15 13:19:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When creating a new user account, changing the default shell does not have 
any effect. It is necessary to edit the user properties separately to make 
this change effective.

Version-Release number of selected component (if applicable):
0.7.0-0

How reproducible:
Always

Steps to Reproduce:
1. Launch 'redhat-config-users'.
2. Create a new user and set the default shell to a different shell 
than 'bash'.
3. Have a look at the user properties list or type 'more /etc/passwd'.
	

Actual Results:  Default shell is still 'bash'.

Expected Results:  Default shell should the selected one.

Additional info:

Editing the user properties within 'redhat-config-users' makes the change 
happen.
Comment 1 Glen Foster 2001-08-15 15:55:52 EDT
We (Red Hat) should really try to fix this before next release.
Comment 2 Brent Fox 2001-08-16 16:06:13 EDT
Fixed in cvs.  Thanks for your report.  The fix should appear in the
redhat-config-users-0.9.2-3 package, when it gets built.

Note You need to log in before you can comment on or make changes to this bug.